﻿
@{
    Layout = null;
    <link href="@Url.Content("~/Content/jquery-ui/jquery-ui.min.css")" rel="stylesheet" />

    <script src="@Url.Content("~/Content/jquery-ui/external/jquery/jquery.js")"></script>
    <script src="@Url.Content("~/Content/jquery-ui/jquery-ui.js")"></script>

    <link href="~/Content/Site.css" rel="stylesheet" />
    <link href="~/Content/bootstrap.min.css" rel="stylesheet" />
    <script src="~/Scripts/modernizr-2.6.2.js"></script>
    <script src="~/Scripts/bootstrap.js"></script>
    <script src="~/Scripts/respond.js"></script>
}

<style>
    label, input {
        display: block;
    }

        input.text {
            margin-bottom: 12px;
            width: 95%;
            padding: .4em;
        }

    fieldset {
        padding: 0;
        border: 0;
        margin-top: 25px;
    }

    h1 {
        font-size: 1.2em;
        margin: .6em 0;
    }

    div#users-contain {
        width: 350px;
        margin: 20px 0;
    }

    div#users-contain table {
        margin: 1em 0;
        border-collapse: collapse;
        width: 100%;
    }

    div#users-contain table td, div#users-contain table th {
        border: 1px solid #eee;
        padding: .6em 10px;
        text-align: left;
    }

    .ui-dialog .ui-state-error {
        padding: .3em;
    }

    .validateTips {
        border: 1px solid transparent;
        padding: 0.3em;
    }
</style>

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Prueba</title>
</head>
<body>


    <div class="form-group">

        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-3">
                <label class="control-label" for="fname">Usuario:</label>
            </div>
            <div class="col-md-3">
                <input type="text" />
            </div>
            <div class="col-md-3"></div>
        </div>
        <br />
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-3">
                <label class="control-label" for="fname">Nombre del Proveedor:</label>
            </div>
            <div class="col-md-3">
                <input type="text" />
            </div>
            <div class="col-md-3"></div>
        </div>
        <br />
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-3">
                <label class="control-label" for="fname">Es extranjero:</label>
            </div>
            <div class="col-md-3">
                <input type="text" />
            </div>
            <div class="col-md-3"></div>
        </div>
        <br />
        <div class="row" id="ruc">
            <div class="col-md-3"></div>
            <div class="col-md-3">
                <label class="control-label" for="fname">RUC:</label>
            </div>
            <div class="col-md-3">
                <input type="text" />
            </div>
            <div class="col-md-3"></div>
        </div>
        <br />
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-3">
                <label class="control-label" for="fname">Clave:</label>
            </div>
            <div class="col-md-3">
                <input class="form-control input-md" value="*****" readonly="readonly" />
            </div>
            <div class="col-md-3">
                <button class="ui-button ui-widget ui-corner-all" OnClick="CambioClave()" title="Cambiar la clave">
                    Cambiar <span class="ui-icon ui-icon-gear ui-icon-"></span>
                </button>
            </div>
        </div>
        <br />
    </div>
    <br />

    <div id="dialog-form" title="Validar número Migo" style="display: none">
        <form>
            <content>
                <fieldset>
                    <label for="name">Ingrese la clave actual:</label>
                    <input type="password" name="claveVieja" id="claveVieja" class="text ui-widget-content ui-corner-all">
                    <label for="name">Ingrese la clave nueva:</label>
                    <input type="password" name="claveNueva" id="claveNueva" class="text ui-widget-content ui-corner-all">
                    <label for="name">Confirme la clave nueva:</label>
                    <input type="password" name="claveNuevaConf" id="claveNuevaConf" class="text ui-widget-content ui-corner-all">


                    <!-- Allow form submission with keyboard without duplicating the dialog button -->
                    <input type="submit" tabindex="-1" style="position:absolute; top:-1000px">
                </fieldset>
            </content>
        </form>
    </div>



</body>
</html>

<script type="text/javascript">
    function CambioClave() {
        $(function () {
            $("#dialog-form").html();
            $("#dialog-form").dialog({
                title: "Cambiar la clave",
                buttons: {
                    "Cambiar": function () {
                        if ($("#claveVieja").val() != $("#claveNueva").val()) {
                            if ($("#claveNueva").val() == $("#claveNuevaConf").val()) {
                                $.ajax({
                                    type: "POST",
                                    async: false,
                                    url: '@Url.Action("CambiarLaClave", "Administracion")',
                                    data: {
                                        claveVieja: $("#claveVieja").val(),
                                        claveNueva: $("#claveNueva").val()
                                    },
                                    success: function (data) {
                                        if (data === "Ok") {
                                            Alerta("success", "Su clave se ha cambiado exitosamente.", 'center');
                                            $("#claveVieja").val("");
                                            $("#claveNueva").val("");
                                            $("#claveNuevaConf").val("");
                                        }
                                        else {
                                            Alerta("error", "Ha ocurrido un error al intentar cambiar su clave. Por favor valide los datos ingresados e inténtelo de nuevo.", 'center');
                                            $("#claveVieja").val("");
                                            $("#claveNueva").val("");
                                            $("#claveNuevaConf").val("");
                                        }
                                    }
                                });
                            } else {
                                $("#claveVieja").val("");
                                $("#claveNueva").val("");
                                $("#claveNuevaConf").val("");
                                Alerta("error", "La nueva clave y la confirmación no coinciden.", 'center');

                            }
                        } else {
                            $("#claveVieja").val("");
                            $("#claveNueva").val("");
                            $("#claveNuevaConf").val("");
                            Alerta("error", "La clave nueva debe ser diferente a la actual.", 'center');
                        }
                        $(this).dialog('close');
                    },
                    "Cerrar": function () {
                        $(this).dialog('close');
                    }
                },
                modal: true,
                height: 382,
                width: 395,
            });
        });
    };

</script>

